@import url("https://fonts.googleapis.com/css2?family=Open+Sans:wght@500&display=swap");
* {
  font-family: "Open Sans", sans-serif;
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
  box-sizing: border-box;
}
a {
  color: unset;
  text-decoration: none;
}
h2 {
  color: rgba(38, 193, 126, 1);
  font-size: 25px;
  font-weight: 700;
  padding-left: 20px;
  margin-top: 50px;
}

.home-page {
  width: 100vw;
  height: 100vh;
  background: linear-gradient(rgba(0, 6, 20, 0.7), rgba(0, 6, 20, 0.7)),
    url("./assets/images/home.png") no-repeat center center;
  background-size: cover;
  padding-top: 120px;
}
.username {
  margin-bottom: 20px;
  margin-top: 20px;
}
.home-photobox {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin: auto;
  max-width: 500px;
  color: white;
}

.home-button {
  margin: auto;
  width: fit-content;
  background: rgba(34, 41, 53, 1);
  padding: 10px 20px;
  border-radius: 10px;
  color: white;
  cursor: pointer;
  display: inherit;
  text-decoration: none;
}
.home-button:hover {
  background-color: rgba(38, 193, 126, 1);
}
.home-button a {
  color: unset;
  text-decoration: none;
}
.photobox-img {
  border-radius: 50%;
  width: 160px;
  height: 160px;
  border: 1px solid rgba(255, 255, 255, 1);
}

.inner {
  display: flex;
}
.inner-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 6px 10px;
  color: white;
  margin-top: 10px;
  cursor: pointer;
  text-decoration: none;
  margin: auto;
  display: inherit;
}
.inner-btn-text {
  margin-left: 10px;
}
.inner-btn a {
  color: unset;
  text-decoration: none;
}
.inner-about {
  padding: 40px 30px;
}
.inner-navigation {
  display: flex;
  flex-direction: column;
  background: rgba(34, 41, 53, 1);
  height: 100vh;
  position: fixed;
  transition: width 0.2s linear;
}
.inner-photobox {
  display: flex;
  flex-direction: column;
  align-items: center;
  color: white;
}

.inner-img {
  width: 100px;
  border-radius: 50%;
  margin: 20px 75px 0 75px;
  border: 1px solid rgba(255, 255, 255, 1);
}
.photobox-name {
  font-size: 45px;
}

.inner-navigation-holder-active {
  padding: 125px;
}
.inner-navigation-holder-inactive {
  padding: 0px !important;
}
.inner-navigation-active {
  width: 250px;
}
.inner-navigation-inactive {
  width: 0px !important;
}

.up-btn {
  background-color: rgb(34, 41, 53);
  cursor: pointer;
  width: fit-content;
  padding: 7px;
  border-radius: 10%;
  position: fixed;
  right: 30px;
  bottom: -4px;
}
@media (max-width: 700px) {
  .navigation-item-text {
    display: none;
  }
  .inner-photobox {
    width: 54px;
    transition: width 0.5s;
  }
  .inner-img {
    width: 40px;
    transition: width 0.5s;
  }
  .username {
    display: none;
  }
  .navigation-item {
    width: auto;
    display: flex;
    justify-content: center;
    transition: width 0.5s;
    margin-left: 0px;
  }
  .navigation-item-icon {
    margin: 0;
    transition: margin 0.5s;
  }
  .inner-navigation {
    width: 54px;
  }
  .inner-navigation-holder {
    padding: 27px;
    transition: padding 0.2s; /* Add transition-timing-function for a slow-down effect */
  }
  .inner-btn {
    background-color: rgba(38, 193, 126, 1);
    border-radius: 5px;
    margin: 5px;
    margin-top: 20px;
  }
  .inner-btn-text {
    display: none;
  }
}
